Get case information

Server: https://{kibana_url}
  • GET /api/cases/{caseId}
  • GET /s/{space_id}/api/cases/{caseId}

Refer to Spaces for more information.

Returns case details. The response does not include a comments property; use the find case comments API to retrieve comments. The totalComment field reflects the actual number of user comments on the case. You must have read privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the case you're seeking.

Path Parameters

caseId string required

The identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.

Responses